#!/usr/bin/bash

directory="$1"

if [ -z "$directory" ]
then
  echo "Need a directory to process"
fi

rm -f $directory/smg-*.svg

for smg in $directory/smg-*.dot
do
  dot -Tsvg $smg -o $smg.svg
done

firefox $( ls $directory/smg-*.svg | sort )
